Latest Posts

Topic: [MAC] Crash on startup, missing libraries?

1503010
Avatar
Topic Opener
Joined: 2023-08-05, 12:52
Posts: 2
OS: Mac OS 10.12.6
Ranking
Just found this site
Location: netherlands
Posted at: 2023-08-05, 16:13

Hi everybody,

I came across Widelands in a Settlers II nostalgia trip and wanted to give this game a shot. Sadly I havent been able to run the game so far and am unsure on how to get it to work. My machine is older as well, which probably doesn't help, but was hoping someone with more software engineering knowledge can help resolve the issue.

specs that might matter (can provide other if needed) MacBook Pro (13-inch, Late 2011) Processor 2,4 GHz Intel Core i5 OS 10.12.6 (the most up to date it will get)

I installed the MacOS 11 version of Widelands, as running the ARM M1 version returned a message that my machine was not capable of this. When I run the MacOS11 version, it crashes with an error log that I think boils down to the following

Dyld Error Message: Symbol not found: ____chkstk_darwin Referenced from: /Applications/Widelands.app/Contents/MacOS/../libs/libhwy.1.0.2.dylib Expected in: /usr/lib/libSystem.B.dylib

I tried some ChatGPT troubleshooting which advised me to try and run the system versions of the files that are referenced in the error message through the terminal, but this results in the same error. My suspicion is that Widelands is already trying to run the system version, which simply isn't there. I found some stackoverflow pages referencing the function as part of Xcode, but installing Xcode appears to have it's own set of challenges, which I'll try to tackle if I know that it's the proper approach.

Any pointers on how to continue are welcome, as I do have a basic understanding of programming but am in way over my head here.


Top Quote
Nordfriese
Avatar
Joined: 2017-01-17, 17:07
Posts: 1971
OS: Debian Testing
Version: Latest master
Ranking
One Elder of Players
Location: 0x55555d3a34c0
Posted at: 2023-08-05, 16:43

Hi 1503010 and welcome to the forum face-smile.png

I'm not a Mac user, but my guess would be that the precompiled binaries are not backwards-compatible. We dropped support for MacOS 10.x a while ago and require 11.x as minimum, our binaries currently build on version 11.7.8.

If you just want to try Widelands out you could use the slightly outdated v1.0 (released 2021): DMG for MacOS 10.9 and newer

But if you want the newest version I would recommend to try compiling Widelands yourself from source to get a build that will work with your system. I don't know if it can still be compiled on 10.12, but it probably should; and if you run into problems do feel free to ask further.

But perhaps someone familiar with MacOS will know something more helpful…


Top Quote
1503010
Avatar
Topic Opener
Joined: 2023-08-05, 12:52
Posts: 2
OS: Mac OS 10.12.6
Ranking
Just found this site
Location: netherlands
Posted at: 2023-08-05, 17:15

Thanks for the quick response! I installed the outdated version which seems to spin up fine so I can start playing

Looking at your reply, I see that I made a wrong assumption on which of the digits the one from the installation files refers to and was pulling a dead horse in that regard. It did result in me installing the most up to date version of XCode my system will run, so I might give the compiling manual an attempt to get an up to date version of the game.


Top Quote